#ifndef BMA456H_H__
#define BMA456H_H__

#include <stdint.h>
#include "user_define.h"
#include "bma4_defs.h"



#if defined(USE_BMA456H)

void print_bma456_rslt(int16_t rslt);
#if defined(FIFO_POLL) || defined(FIFO_WM_INT)
uint16_t Open_BMA456H_FIFO(struct bma4_dev *dev);
#endif
uint16_t Close_BMA456H_FIFO(struct bma4_dev *dev);
uint16_t Open_BMA456H_STEP_COUNTER(struct bma4_dev *dev);
uint16_t Close_BMA456H_STEP_COUNTER(struct bma4_dev *dev);
#if defined(TAP)
uint16_t Open_BMA456H_TAP(struct bma4_dev *dev);
uint16_t Close_BMA456H_TAP(struct bma4_dev *dev);
#endif
uint16_t Open_BMA456H_ANY_NO_MOTION(struct bma4_dev *dev);
uint16_t Close_BMA456H_ANY_NO_MOTION(struct bma4_dev *dev);
uint16_t Open_BMA456H_ORIENTATION(struct bma4_dev *dev);
uint16_t Close_BMA456H_ORIENTATION(struct bma4_dev *dev);
#if defined(ACTIVITY_RECOGNITION)
uint16_t Open_BMA456H_ACTIVITY_RECOGNITION(struct bma4_dev *dev);
uint16_t Close_BMA456H_ACTIVITY_RECOGNITION(struct bma4_dev *dev);
#endif
#if defined(IN_OUT_EAR)
uint16_t Open_BMA456H_IN_OUT_EAR(struct bma4_dev *dev);
uint16_t Close_BMA456H_IN_OUT_EAR(struct bma4_dev *dev);
#endif
#if defined(ANY_NO_MOTION)
uint16_t Open_BMA456H_ANY_MOTION(struct bma4_dev *dev);
uint16_t Close_BMA456H_ANY_MOTION(struct bma4_dev *dev);
#endif
void BMA456H_Print_ALLRegs(struct bma4_dev *dev);
uint16_t Init_BMA456H(struct bma4_dev *dev);

#if defined(FIFO_POLL) || defined(STEP_COUNTER)
void BMA456H_Timer_Callback(TimerHandle_t xTimer);
#endif

void StartBMA456HTask(void const * argument);

#endif

#endif

